import 'package:film_gyaan/core.dart';

/// When the request timeout exception has occurred
class RequestTimeoutException extends FilmGyaanException {
  RequestTimeoutException([this.additionalData])
      : super(
          Constants.requestTimeout,
        );

  final dynamic additionalData;
}

/// When the request was canceled due to some error.
class RequestCancelException extends FilmGyaanException {
  RequestCancelException([this.additionalData])
      : super(
          Constants.requestCancelled,
        );

  final dynamic additionalData;
}

/// When some other exception has occurred which is unknown.
class RequestOtherException extends FilmGyaanException {
  RequestOtherException([this.additionalData])
      : super(
          '${Constants.requestFailed} ($additionalData)',
        );

  final dynamic additionalData;
}

/// When unable to complete the request
class RequestFailureException extends FilmGyaanException {
  RequestFailureException(this.response)
      : super(
          Constants.requestFailure,
        );

  final IResponse response;
}
