// coverage:ignore-file
/// A set of [RequestType] which will be used to make different calls
enum RequestType {
  get,
  post,
  patch,
  put,
  delete,
  file,
}

const _sendTimeoutRequestDefault = <RequestType, int>{
  RequestType.get: 10000,
  RequestType.post: 10000,
  RequestType.put: 10000,
  RequestType.delete: 10000,
  RequestType.patch: 10000,
  RequestType.file: 30000,
};

const _receiveTimeoutRequestDefault = <RequestType, int>{
  RequestType.get: 10000,
  RequestType.post: 10000,
  RequestType.put: 10000,
  RequestType.delete: 10000,
  RequestType.patch: 10000,
  RequestType.file: 30000,
};

const _connectTimeoutRequestDefault = <RequestType, int>{
  RequestType.get: 10000,
  RequestType.post: 10000,
  RequestType.put: 10000,
  RequestType.delete: 10000,
  RequestType.patch: 10000,
  RequestType.file: 30000,
};

extension RequestTypeExtension on RequestType {
  static const methods = <RequestType, String>{
    RequestType.get: 'GET',
    RequestType.post: 'POST',
    RequestType.put: 'PUT',
    RequestType.patch: 'PATCH',
    RequestType.delete: 'DELETE',
    RequestType.file: 'POST',
  };

  String get method => methods[this]!;

  int get sendTimeout => _sendTimeoutRequestDefault[this]!;

  int get receiveTimeout => _receiveTimeoutRequestDefault[this]!;

  int get connectTimeout => _connectTimeoutRequestDefault[this]!;
}
