// coverage:ignore-file
import 'dart:convert';

import 'package:film_gyaan/core.dart';

class AlternativeTitles extends Result {
  AlternativeTitles({
    required this.id,
    required this.titles,
  });

  factory AlternativeTitles.fromJson(String str) => AlternativeTitles.fromMap(
        json.decode(str) as Map<String, dynamic>,
      );

  factory AlternativeTitles.fromMap(Map<String, dynamic> json) =>
      AlternativeTitles(
        id: json['id'] as int? ?? 0,
        titles: List<Title>.from(
          (json['titles'] as List<dynamic>? ?? <dynamic>[]).map<dynamic>(
            (dynamic x) => Title.fromMap(x as Map<String, dynamic>),
          ),
        ),
      );

  int id;
  List<Title> titles;

  String toJson() => json.encode(toMap());

  Map<String, dynamic> toMap() => <String, dynamic>{
        'id': id,
        'titles': List<Map<String, dynamic>>.from(
          titles.map<Map<String, dynamic>>(
            (x) => x.toMap(),
          ),
        ),
      };
}

class Title {
  Title({
    required this.iso31661,
    required this.title,
    required this.type,
  });

  factory Title.fromJson(String str) => Title.fromMap(
        json.decode(str) as Map<String, dynamic>,
      );

  factory Title.fromMap(Map<String, dynamic> json) => Title(
        iso31661: json['iso_3166_1'] as String? ?? '',
        title: json['title'] as String? ?? '',
        type: json['type'] as String? ?? '',
      );

  String iso31661;
  String title;
  String type;

  String toJson() => json.encode(toMap());

  Map<String, dynamic> toMap() => <String, dynamic>{
        'iso_3166_1': iso31661,
        'title': title,
        'type': type,
      };
}
