// coverage:ignore-file
import 'dart:convert';

import 'package:film_gyaan/core.dart';

class CertificationsList extends Result {
  CertificationsList({
    required this.certifications,
  });

  factory CertificationsList.fromJson(String str) => CertificationsList.fromMap(
    json.decode(str) as Map<String, dynamic>,
  );

  factory CertificationsList.fromMap(Map<String, dynamic> json) =>
      CertificationsList(
        certifications: Map<String, dynamic>.from(
            json['certifications'] as Map<String, dynamic>)
            .map(
              (dynamic k, dynamic v) => MapEntry<String, List<Certification>>(
            k as String,
            List<Certification>.from(
              (v as List<dynamic>).map<dynamic>(
                    (dynamic x) => Certification.fromMap(
                  x as Map<String, dynamic>,
                ),
              ),
            ),
          ),
        ),
      );

  Map<String, List<Certification>> certifications;

  String toJson() => json.encode(toMap());

  Map<String, dynamic> toMap() => <String, dynamic>{
        'certifications':
            Map<String, dynamic>.from(certifications).map<String, dynamic>(
          (dynamic k, dynamic v) => MapEntry<String, dynamic>(
            k as String,
            List<dynamic>.from(
              (v as List<dynamic>).map<dynamic>(
                (dynamic x) => x.toMap(),
              ),
            ),
          ),
        ),
      };
}

class Certification {
  Certification({
    required this.certification,
    required this.meaning,
    required this.order,
  });

  factory Certification.fromJson(String str) => Certification.fromMap(
        json.decode(str) as Map<String, dynamic>,
      );

  factory Certification.fromMap(Map<String, dynamic> json) => Certification(
        certification: json['certification'] as String? ?? '',
        meaning: json['meaning'] as String? ?? '',
        order: json['order'] as int? ?? 0,
      );

  String certification;
  String meaning;
  int order;

  String toJson() => json.encode(toMap());

  Map<String, dynamic> toMap() => <String, dynamic>{
        'certification': certification,
        'meaning': meaning,
        'order': order,
      };
}
