// coverage:ignore-file
import 'dart:convert';

import 'package:film_gyaan/core.dart';

class ContentRatings extends Result {
  ContentRatings({
    required this.results,
  });

  factory ContentRatings.fromJson(String str) => ContentRatings.fromMap(
    json.decode(str) as Map<String, dynamic>,
  );

  factory ContentRatings.fromMap(Map<String, dynamic> json) => ContentRatings(
    results: List<ContentRatingsResult>.from(
      (json['results'] as List<dynamic>? ?? <dynamic>[]).map<dynamic>(
            (dynamic x) => ContentRatingsResult.fromMap(
          x as Map<String, dynamic>,
        ),
      ),
    ),
  );

  List<ContentRatingsResult> results;

  String toJson() => json.encode(toMap());

  Map<String, dynamic> toMap() => <String, dynamic>{
    'results': List<dynamic>.from(results.map<dynamic>((x) => x.toMap())),
  };
}

class ContentRatingsResult {
  ContentRatingsResult({
    required this.iso31661,
    required this.rating,
  });

  factory ContentRatingsResult.fromJson(String str) =>
      ContentRatingsResult.fromMap(
        json.decode(str) as Map<String, dynamic>,
      );

  factory ContentRatingsResult.fromMap(Map<String, dynamic> json) =>
      ContentRatingsResult(
        iso31661: json['iso_3166_1'] as String? ?? '',
        rating: json['rating'] as String? ?? '',
      );

  String iso31661;
  String rating;

  String toJson() => json.encode(toMap());

  Map<String, dynamic> toMap() => <String, dynamic>{
    'iso_3166_1': iso31661,
    'rating': rating,
  };
}