// coverage:ignore-file
import 'dart:convert';

import 'package:film_gyaan/core.dart';

class Credits extends Result {
  Credits({
    required this.id,
    required this.cast,
    required this.crew,
  });

  factory Credits.fromJson(String str) => Credits.fromMap(
    json.decode(str) as Map<String, dynamic>,
  );

  factory Credits.fromMap(Map<String, dynamic> json) => Credits(
    id: json['id'] as int? ?? 0,
    cast: List<Cast>.from(
      (json['cast'] as List<dynamic>? ?? <dynamic>[]).map<dynamic>(
            (dynamic x) => Cast.fromMap(
          x as Map<String, dynamic>,
        ),
      ),
    ),
    crew: List<Cast>.from(
      (json['crew'] as List<dynamic>? ?? <dynamic>[]).map<dynamic>(
            (dynamic x) => Cast.fromMap(
          x as Map<String, dynamic>,
        ),
      ),
    ),
  );

  int id;
  List<Cast> cast;
  List<Cast> crew;

  String toJson() => json.encode(toMap());

  Map<String, dynamic> toMap() => <String, dynamic>{
    'id': id,
    'cast': List<Map<String, dynamic>>.from(
      cast.map<Map<String, dynamic>>(
            (x) => x.toMap(),
      ),
    ),
    'crew': List<Map<String, dynamic>>.from(
      crew.map<Map<String, dynamic>>(
            (x) => x.toMap(),
      ),
    ),
  };
}

class Cast {
  Cast({
    required this.adult,
    required this.gender,
    required this.id,
    required this.knownForDepartment,
    required this.name,
    required this.originalName,
    required this.popularity,
    required this.profilePath,
    required this.castId,
    required this.character,
    required this.creditId,
    required this.order,
    required this.department,
    required this.job,
  });

  factory Cast.fromJson(String str) => Cast.fromMap(
    json.decode(str) as Map<String, dynamic>,
  );

  factory Cast.fromMap(Map<String, dynamic> json) => Cast(
    adult: json['adult'] as bool? ?? false,
    gender: json['gender'] as int? ?? 0,
    id: json['id'] as int? ?? 0,
    knownForDepartment: json['known_for_department'] as String? ?? '',
    name: json['name'] as String? ?? '',
    originalName: json['original_name'] as String? ?? '',
    popularity: json['popularity'] as double? ?? 0,
    profilePath: json['profile_path'] as String? ?? '',
    castId: json['cast_id'] as int? ?? 0,
    character: json['character'] as String? ?? '',
    creditId: json['credit_id'] as String? ?? '',
    order: json['order'] as int? ?? 0,
    department: json['department'] as String? ?? '',
    job: json['job'] as String? ?? '',
  );

  bool adult;
  int gender;
  int id;
  String knownForDepartment;
  String name;
  String originalName;
  double popularity;
  String profilePath;
  int castId;
  String character;
  String creditId;
  int order;
  String department;
  String job;

  String toJson() => json.encode(toMap());

  Map<String, dynamic> toMap() => <String, dynamic>{
    'adult': adult,
    'gender': gender,
    'id': id,
    'known_for_department': knownForDepartment,
    'name': name,
    'original_name': originalName,
    'popularity': popularity,
    'profile_path': profilePath,
    'cast_id': castId,
    'character': character,
    'credit_id': creditId,
    'order': order,
    'department': department,
    'job': job,
  };
}