// coverage:ignore-file
import 'dart:convert';

import 'package:film_gyaan/core.dart';

class ExternalIds extends Result {
  ExternalIds({
    required this.id,
    required this.freebaseMid,
    required this.freebaseId,
    required this.imdbId,
    required this.tvrageId,
    required this.facebookId,
    required this.instagramId,
    required this.twitterId,
    required this.tvdbId,
  });

  factory ExternalIds.fromJson(String str) => ExternalIds.fromMap(
    json.decode(str) as Map<String, dynamic>,
  );

  factory ExternalIds.fromMap(Map<String, dynamic> json) => ExternalIds(
    id: json['id'] as int? ?? 0,
    freebaseMid: json['freebase_mid'] as String? ?? '',
    freebaseId: json['freebase_id'] as String? ?? '',
    imdbId: json['imdb_id'] as String? ?? '',
    tvrageId: json['tvrage_id'] as int? ?? 0,
    tvdbId: json['tvdb_id'] as int? ?? 0,
    facebookId: json['facebook_id'] as String? ?? '',
    instagramId: json['instagram_id'] as String? ?? '',
    twitterId: json['twitter_id'] as String? ?? '',
  );

  int id;
  String freebaseMid;
  String freebaseId;
  String imdbId;
  String facebookId;
  String instagramId;
  String twitterId;
  int tvrageId;
  int tvdbId;

  String toJson() => json.encode(toMap());

  Map<String, dynamic> toMap() => <String, dynamic>{
    'id': id,
    'imdb_id': imdbId,
    'facebook_id': facebookId,
    'instagram_id': instagramId,
    'twitter_id': twitterId,
    'freebase_mid': freebaseMid,
    'freebase_id': freebaseId,
    'tvrage_id': tvrageId,
    'tvdb_id': tvdbId,
  };
}