// coverage:ignore-file
import 'dart:convert';

class Genre {
  Genre({
    required this.id,
    required this.name,
  });

  factory Genre.fromJson(String str) => Genre.fromMap(
    json.decode(str) as Map<String, dynamic>,
  );

  factory Genre.fromMap(Map<String, dynamic> json) => Genre(
    id: json['id'] as int? ?? 0,
    name: json['name'] as String? ?? '',
  );

  int id;
  String name;

  String toJson() => json.encode(toMap());

  Map<String, dynamic> toMap() => <String, dynamic>{
    'id': id,
    'name': name,
  };
}