// coverage:ignore-file
import 'dart:convert';

import 'package:film_gyaan/core.dart';

class GenreList extends Result {
  GenreList({
    required this.genres,
  });

  factory GenreList.fromJson(String str) => GenreList.fromMap(
        json.decode(str) as Map<String, dynamic>,
      );

  factory GenreList.fromMap(Map<String, dynamic> json) => GenreList(
        genres: List<Genre>.from(
          (json['genres'] as List<dynamic>? ?? <dynamic>[]).map<dynamic>(
            (dynamic x) => Genre.fromMap(
              x as Map<String, dynamic>,
            ),
          ),
        ),
      );

  List<Genre> genres;

  String toJson() => json.encode(toMap());

  Map<String, dynamic> toMap() => <String, dynamic>{
        'genres': List<Map<String, dynamic>>.from(
          genres.map<Map<String, dynamic>>(
            (x) => x.toMap(),
          ),
        ),
      };
}
