// coverage:ignore-file
import 'dart:convert';

import 'package:film_gyaan/core.dart';

class Images extends Result {
  Images({
    required this.id,
    required this.backdrops,
    required this.posters,
  });

  factory Images.fromJson(String str) => Images.fromMap(
    json.decode(str) as Map<String, dynamic>,
  );

  factory Images.fromMap(Map<String, dynamic> json) => Images(
    id: json['id'] as int? ?? 0,
    backdrops: List<String>.from(
      (json['backdrops'] as List<dynamic>? ?? <dynamic>[]).map<dynamic>(
            (dynamic x) => x as String,
      ),
    ),
    posters: List<String>.from(
      (json['posters'] as List<dynamic>? ?? <dynamic>[]).map<dynamic>(
            (dynamic x) => x as String,
      ),
    ),
  );

  int id;
  List<String> backdrops;
  List<String> posters;

  String toJson() => json.encode(toMap());

  Map<String, dynamic> toMap() => <String, dynamic>{
    'id': id,
    'backdrops': List<String>.from(
      backdrops.map<String>((x) => x),
    ),
    'posters': List<String>.from(
      posters.map<String>((x) => x),
    ),
  };
}