// coverage:ignore-file
import 'dart:convert';

import 'package:film_gyaan/core.dart';

class Keywords extends Result {
  Keywords({
    required this.id,
    required this.keywords,
  });

  factory Keywords.fromJson(String str) => Keywords.fromMap(
    json.decode(str) as Map<String, dynamic>,
  );

  factory Keywords.fromMap(Map<String, dynamic> json) => Keywords(
    id: json['id'] as int? ?? 0,
    keywords: List<Keyword>.from(
      (json['keywords'] as List<dynamic>? ?? <dynamic>[]).map<dynamic>(
            (dynamic x) => Keyword.fromMap(
          x as Map<String, dynamic>,
        ),
      ),
    ),
  );

  int id;
  List<Keyword> keywords;

  String toJson() => json.encode(toMap());

  Map<String, dynamic> toMap() => <String, dynamic>{
        'id': id,
        'keywords': List<Map<String, dynamic>>.from(
          keywords.map<Map<String, dynamic>>(
            (x) => x.toMap(),
          ),
        ),
      };
}

class Keyword {
  Keyword({
    required this.id,
    required this.name,
  });

  factory Keyword.fromJson(String str) => Keyword.fromMap(json.decode(str) as Map<String, dynamic>,);

  factory Keyword.fromMap(Map<String, dynamic> json) => Keyword(
        id: json['id'] as int? ?? 0,
        name: json['name'] as String? ?? '',
      );

  int id;
  String name;

  String toJson() => json.encode(toMap());

  Map<String, dynamic> toMap() => <String, dynamic>{
        'id': id,
        'name': name,
      };
}
