// coverage:ignore-file
import 'dart:convert';

import 'package:film_gyaan/core.dart';

class MovieLists extends Result {
  MovieLists({
    required this.id,
    required this.page,
    required this.results,
    required this.totalPages,
    required this.totalResults,
  });

  factory MovieLists.fromJson(String str) => MovieLists.fromMap(
        json.decode(str) as Map<String, dynamic>,
      );

  factory MovieLists.fromMap(Map<String, dynamic> json) => MovieLists(
        id: json['id'] as int? ?? 0,
        page: json['page'] as int? ?? 0,
        results: List<Results>.from(
          (json['results'] as List<dynamic>? ?? <dynamic>[]).map<dynamic>(
            (dynamic x) => Results.fromMap(
              x as Map<String, dynamic>,
            ),
          ),
        ),
        totalPages: json['total_pages'] as int? ?? 0,
        totalResults: json['total_results'] as int? ?? 0,
      );

  int id;
  int page;
  List<Results> results;
  int totalPages;
  int totalResults;

  String toJson() => json.encode(toMap());

  Map<String, dynamic> toMap() => <String, dynamic>{
        'id': id,
        'page': page,
        'results': List<Map<String, dynamic>>.from(
          results.map<Map<String, dynamic>>(
            (x) => x.toMap(),
          ),
        ),
        'total_pages': totalPages,
        'total_results': totalResults,
      };
}

class Results {
  Results({
    required this.description,
    required this.favoriteCount,
    required this.id,
    required this.itemCount,
    required this.iso6391,
    required this.listType,
    required this.name,
    required this.posterPath,
  });

  factory Results.fromJson(String str) => Results.fromMap(
        json.decode(str) as Map<String, dynamic>,
      );

  factory Results.fromMap(Map<String, dynamic> json) => Results(
        description: json['description'] as String? ?? '',
        favoriteCount: json['favorite_count'] as int? ?? 0,
        id: json['id'] as int? ?? 0,
        itemCount: json['item_count'] as int? ?? 0,
        iso6391: json['iso_639_1'] as String? ?? '',
        listType: json['list_type'] as String? ?? '',
        name: json['name'] as String? ?? '',
        posterPath: json['poster_path'] as String? ?? '',
      );

  String description;
  int favoriteCount;
  int id;
  int itemCount;
  String iso6391;
  String listType;
  String name;
  String posterPath;

  String toJson() => json.encode(toMap());

  Map<String, dynamic> toMap() => <String, dynamic>{
        'description': description,
        'favorite_count': favoriteCount,
        'id': id,
        'item_count': itemCount,
        'iso_639_1': iso6391,
        'list_type': listType,
        'name': name,
        'poster_path': posterPath,
      };
}
