// coverage:ignore-file
import 'dart:convert';

import 'package:film_gyaan/core.dart';

class PeopleImages extends Result {
  PeopleImages({
    required this.profiles,
    required this.id,
  });

  factory PeopleImages.fromJson(String str) => PeopleImages.fromMap(
        json.decode(str) as Map<String, dynamic>,
      );

  factory PeopleImages.fromMap(Map<String, dynamic> json) => PeopleImages(
        id: json['id'] as int? ?? 0,
        profiles: List<Profile>.from(
          (json['profiles'] as List<dynamic>? ?? <dynamic>[]).map<dynamic>(
            (dynamic x) => Profile.fromMap(
              x as Map<String, dynamic>,
            ),
          ),
        ),
      );

  List<Profile> profiles;
  int id;

  String toJson() => json.encode(toMap());

  Map<String, dynamic> toMap() => <String, dynamic>{
        'id': id,
        'profiles': List<Map<String, dynamic>>.from(
          profiles.map<Map<String, dynamic>>(
            (x) => x.toMap(),
          ),
        ),
      };
}

class Profile {
  Profile({
    required this.aspectRatio,
    required this.filePath,
    required this.height,
    required this.iso6391,
    required this.voteAverage,
    required this.voteCount,
    required this.width,
  });

  factory Profile.fromJson(String str) => Profile.fromMap(
        json.decode(str) as Map<String, dynamic>,
      );

  factory Profile.fromMap(Map<String, dynamic> json) => Profile(
        aspectRatio: json['aspect_ratio'] as num? ?? 0,
        filePath: json['file_path'] as String? ?? '',
        height: json['height'] as int? ?? 0,
        iso6391: json['iso_639_1'] as String? ?? '',
        voteAverage: json['vote_average'] as num? ?? 0,
        voteCount: json['vote_count'] as int? ?? 0,
        width: json['width'] as int? ?? 0,
      );

  num aspectRatio;
  String filePath;
  int height;
  String iso6391;
  num voteAverage;
  int voteCount;
  int width;

  String toJson() => json.encode(toMap());

  Map<String, dynamic> toMap() => <String, dynamic>{
        'aspect_ratio': aspectRatio,
        'file_path': filePath,
        'height': height,
        'iso_639_1': iso6391,
        'vote_average': voteAverage,
        'vote_count': voteCount,
        'width': width,
      };
}
