// coverage:ignore-file
import 'dart:convert';

class ProductionCountry {
  ProductionCountry({
    required this.iso31661,
    required this.name,
  });

  factory ProductionCountry.fromJson(String str) => ProductionCountry.fromMap(
    json.decode(str) as Map<String, dynamic>,
  );

  factory ProductionCountry.fromMap(Map<String, dynamic> json) =>
      ProductionCountry(
        iso31661: json['iso_3166_1'] as String? ?? '',
        name: json['name'] as String? ?? '',
      );

  String iso31661;
  String name;

  String toJson() => json.encode(toMap());

  Map<String, dynamic> toMap() => <String, dynamic>{
    'iso_3166_1': iso31661,
    'name': name,
  };
}