// coverage:ignore-file
import 'dart:convert';

import 'package:film_gyaan/core.dart';

class ReviewsList extends Result {
  ReviewsList({
    required this.page,
    required this.results,
    required this.totalPages,
    required this.totalResults,
  });

  factory ReviewsList.fromJson(String str) => ReviewsList.fromMap(
        json.decode(str) as Map<String, dynamic>,
      );

  factory ReviewsList.fromMap(Map<String, dynamic> json) => ReviewsList(
        page: json['page'] as int? ?? 0,
        results: List<ReviewsDetails>.from(
          (json['results'] as List<dynamic>? ?? <dynamic>[]).map<dynamic>(
            (dynamic x) => ReviewsDetails.fromMap(
              x as Map<String, dynamic>,
            ),
          ),
        ),
        totalPages: json['total_pages'] as int? ?? 0,
        totalResults: json['total_results'] as int? ?? 0,
      );

  int page;
  List<ReviewsDetails> results;
  int totalPages;
  int totalResults;

  String toJson() => json.encode(toMap());

  Map<String, dynamic> toMap() => <String, dynamic>{
        'page': page,
        'results': List<Map<String, dynamic>>.from(
          results.map<Map<String, dynamic>>(
            (x) => x.toMap(),
          ),
        ),
        'total_pages': totalPages,
        'total_results': totalResults,
      };
}
