// coverage:ignore-file
import 'dart:convert';

class SpokenLanguage {
  SpokenLanguage({
    required this.englishName,
    required this.iso6391,
    required this.name,
  });

  factory SpokenLanguage.fromJson(String str) => SpokenLanguage.fromMap(
        json.decode(str) as Map<String, dynamic>,
      );

  factory SpokenLanguage.fromMap(Map<String, dynamic> json) => SpokenLanguage(
        englishName: json['english_name'] as String? ?? '',
        iso6391: json['iso_639_1'] as String? ?? '',
        name: json['name'] as String? ?? '',
      );

  String englishName;
  String iso6391;
  String name;

  String toJson() => json.encode(toMap());

  Map<String, dynamic> toMap() => <String, dynamic>{
        'english_name': englishName,
        'iso_639_1': iso6391,
        'name': name,
      };
}
