// coverage:ignore-file
import 'dart:convert';

import 'package:film_gyaan/core.dart';

class TvsList extends Result {
  TvsList({
    required this.dates,
    required this.page,
    required this.results,
    required this.totalPages,
    required this.totalResults,
  });

  factory TvsList.fromJson(String str) => TvsList.fromMap(
        json.decode(str) as Map<String, dynamic>,
      );

  factory TvsList.fromMap(Map<String, dynamic> json) => TvsList(
        page: json['page'] as int? ?? 0,
        results: List<TvDetails>.from(
          (json['results'] as List<dynamic>? ?? <dynamic>[]).map<dynamic>(
            (dynamic x) => TvDetails.fromMap(
              x as Map<String, dynamic>,
            ),
          ),
        ),
        totalPages: json['total_pages'] as int? ?? 0,
        totalResults: json['total_results'] as int? ?? 0,
        dates: Dates.fromMap(
          json['dates'] as Map<String, dynamic>? ?? <String, dynamic>{},
        ),
      );

  int page;
  Dates dates;
  List<TvDetails> results;
  int totalPages;
  int totalResults;

  String toJson() => json.encode(toMap());

  Map<String, dynamic> toMap() => <String, dynamic>{
        'page': page,
        'results': List<Map<String, dynamic>>.from(
          results.map<Map<String, dynamic>>(
            (x) => x.toMap(),
          ),
        ),
        'total_pages': totalPages,
        'total_results': totalResults,
        'dates': dates.toMap(),
      };
}
