// coverage:ignore-file
import 'dart:convert';

import 'package:film_gyaan/core.dart';

class Videos extends Result {
  Videos({
    required this.id,
    required this.results,
  });

  factory Videos.fromJson(String str) => Videos.fromMap(
    json.decode(str) as Map<String, dynamic>,
  );

  factory Videos.fromMap(Map<String, dynamic> json) => Videos(
    id: json['id'] as int? ?? 0,
    results: List<VideosResult>.from(
      (json['results'] as List<dynamic>? ?? <dynamic>[]).map<dynamic>(
            (dynamic x) => VideosResult.fromMap(x as Map<String, dynamic>),
      ),
    ),
  );

  int id;
  List<VideosResult> results;

  String toJson() => json.encode(toMap());

  Map<String, dynamic> toMap() => <String, dynamic>{
    'id': id,
    'results': List<Map<String, dynamic>>.from(
      results.map<Map<String, dynamic>>(
            (x) => x.toMap(),
      ),
    ),
  };
}

class VideosResult {
  VideosResult({
    required this.id,
    required this.iso6391,
    required this.iso31661,
    required this.key,
    required this.name,
    required this.site,
    required this.size,
    required this.type,
  });

  factory VideosResult.fromJson(String str) => VideosResult.fromMap(
    json.decode(str) as Map<String, dynamic>,
  );

  factory VideosResult.fromMap(Map<String, dynamic> json) => VideosResult(
    id: json['id'] as String? ?? '',
    iso6391: json['iso_639_1'] as String? ?? '',
    iso31661: json['iso_3166_1'] as String? ?? '',
    key: json['key'] as String? ?? '',
    name: json['name'] as String? ?? '',
    site: json['site'] as String? ?? '',
    size: json['size'] as int? ?? 0,
    type: json['type'] as String? ?? '',
  );

  String id;
  String iso6391;
  String iso31661;
  String key;
  String name;
  String site;
  int size;
  String type;

  String toJson() => json.encode(toMap());

  Map<String, dynamic> toMap() => <String, dynamic>{
    'id': id,
    'iso_639_1': iso6391,
    'iso_3166_1': iso31661,
    'key': key,
    'name': name,
    'site': site,
    'size': size,
    'type': type,
  };
}