// coverage:ignore-file
import 'dart:convert';

import 'package:film_gyaan/core.dart';

class WatchProvidersMovie extends Result {
  WatchProvidersMovie({
    required this.results,
  });

  factory WatchProvidersMovie.fromJson(String str) =>
      WatchProvidersMovie.fromMap(
        json.decode(str) as Map<String, dynamic>,
      );

  factory WatchProvidersMovie.fromMap(Map<String, dynamic> json) =>
      WatchProvidersMovie(
        results: List<WatchProvidersMovieResult>.from(
          (json['results'] as List<dynamic>).map<dynamic>(
                (dynamic x) => WatchProvidersMovieResult.fromMap(
              x as Map<String, dynamic>,
            ),
          ),
        ),
      );

  List<WatchProvidersMovieResult> results;

  String toJson() => json.encode(toMap());

  Map<String, dynamic> toMap() => <String, dynamic>{
        'results': List<Map<String, dynamic>>.from(
          results.map<Map<String, dynamic>>(
            (x) => x.toMap(),
          ),
        ),
      };
}

class WatchProvidersMovieResult {
  WatchProvidersMovieResult({
    required this.displayPriority,
    required this.logoPath,
    required this.providerName,
    required this.providerId,
  });

  factory WatchProvidersMovieResult.fromJson(String str) =>
      WatchProvidersMovieResult.fromMap(
        json.decode(str) as Map<String, dynamic>,
      );

  factory WatchProvidersMovieResult.fromMap(Map<String, dynamic> json) =>
      WatchProvidersMovieResult(
        displayPriority: json['display_priority'] as int? ?? 0,
        logoPath: json['logo_path'] as String? ?? '',
        providerName: json['provider_name'] as String? ?? '',
        providerId: json['provider_id'] as int? ?? 0,
      );

  int displayPriority;
  String logoPath;
  String providerName;
  int providerId;

  String toJson() => json.encode(toMap());

  Map<String, dynamic> toMap() => <String, dynamic>{
        'display_priority': displayPriority,
        'logo_path': logoPath,
        'provider_name': providerName,
        'provider_id': providerId,
      };
}
